## org.eclipse.datatools.sqltools.data.internal.ui.editor
Interface IExternalTableDataEditor

All Known Implementing Classes:
  DefaultExternalTableDataWizard

    public interface IExternalTableDataEditor

IExternalTableDataEditor provides a simple interface for the org.eclipse.wst.rdb.data.ui.externalTableDataEditor extension point. Besides implementing this interface, contributors of org.eclipse.wst.rdb.data.ui.externalTableDataEditor also need to provide a zero-argument Constructor, as implementing classes of this interface are instantiated using IConfigurationElement.createExecutableExtension(String propertyName).

Author:
  sschaer
See Also:
  `IConfigurationElement.createExecutableExtension(java.lang.String)`

Method Summary
`void` `externalEdit(ITableDataEditor editor)` externalEdit() passes the TableDataEditor to the IExternalTableDataEditor in order to allow full access to both model and ui components.

Method Detail

### externalEdit

    void externalEdit(ITableDataEditor editor)

  externalEdit() passes the TableDataEditor to the IExternalTableDataEditor in order to allow full access to both model and ui components. It is the responsiblity of the IExternalTableDataEditor to retrieve the currently selected cell, modify and update it accordingly. externalEdit() is called from within the TableDataEditor's cursor TableDataTableCursorExternalEditingSupport.edit() DefaultExternalTableDataEditor provides a default implementation.

  Parameters:
    `editor` - the TableDataEditor
  See Also:
    `TableDataTableCursor.edit()`